package app

import (
	"database/sql"
)

// LeadActivityWrapper wraps the object with workflow params
type LeadActivityWrapper struct {
	APIKey   string
	SagaID   string
	SagaType string
	//
	Address     Address
	Company     string
	Description string
	Email       string
	FirstName   string
	LastName    string
	MobilePhone string
	Name        string
	Phone       string
	RefererURL  string
	Status      string
	TenantID    string
	Title       string
	Type        string
	UTMCampaign string
	UTMContent  string
	UTMMedium   string
	UTMSource   string
	UTMTerm     string
	Website     string
}

// Lead is a first-class object type
type Lead struct {
	ID               string
	Address          *Address
	Company          string
	CreatedByID      string
	CreatedDate      sql.NullTime
	Description      string
	Email            string
	FirstName        string
	LastName         string
	LastModifiedByID string
	LastModifiedDate sql.NullTime
	MobilePhone      string
	Name             string
	OwnerID          string
	PartnerAccountID string
	Phone            string
	ProductID        string
	RefererURL       string
	Status           string
	TenantID         string
	Title            string
	Type             string
	UTMCampaign      string
	UTMContent       string
	UTMMedium        string
	UTMSource        string
	UTMTerm          string
	Website          string
}
